Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class AccountBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.AccountBean

All Implemented Interfaces:
  java.io.Serializable

public class AccountBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AccountBean()`
`AccountBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, java.lang.String address, java.lang.String city, java.lang.String country, java.lang.String description, java.lang.String fax, java.lang.String industry, java.lang.String name, long parentAccountId, java.lang.String phone, java.lang.String state, java.lang.String type, java.lang.String webSite, java.lang.String zipCode)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAddress()` Gets the address value for this AccountBean.
`java.lang.String` | `getCity()` Gets the city value for this AccountBean.
`java.lang.String` | `getCountry()` Gets the country value for this AccountBean.
`java.lang.String` | `getDescription()` Gets the description value for this AccountBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getFax()` Gets the fax value for this AccountBean.
`java.lang.String` | `getIndustry()` Gets the industry value for this AccountBean.
`java.lang.String` | `getName()` Gets the name value for this AccountBean.
`long` | `getParentAccountId()` Gets the parentAccountId value for this AccountBean.
`java.lang.String` | `getPhone()` Gets the phone value for this AccountBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getState()` Gets the state value for this AccountBean.
`java.lang.String` | `getType()` Gets the type value for this AccountBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getWebSite()` Gets the webSite value for this AccountBean.
`java.lang.String` | `getZipCode()` Gets the zipCode value for this AccountBean.
`int` | `hashCode()`
`void` | `setAddress(java.lang.String address)` Sets the address value for this AccountBean.
`void` | `setCity(java.lang.String city)` Sets the city value for this AccountBean.
`void` | `setCountry(java.lang.String country)` Sets the country value for this AccountBean.
`void` | `setDescription(java.lang.String description)` Sets the description value for this AccountBean.
`void` | `setFax(java.lang.String fax)` Sets the fax value for this AccountBean.
`void` | `setIndustry(java.lang.String industry)` Sets the industry value for this AccountBean.
`void` | `setName(java.lang.String name)` Sets the name value for this AccountBean.
`void` | `setParentAccountId(long parentAccountId)` Sets the parentAccountId value for this AccountBean.
`void` | `setPhone(java.lang.String phone)` Sets the phone value for this AccountBean.
`void` | `setState(java.lang.String state)` Sets the state value for this AccountBean.
`void` | `setType(java.lang.String type)` Sets the type value for this AccountBean.
`void` | `setWebSite(java.lang.String webSite)` Sets the webSite value for this AccountBean.
`void` | `setZipCode(java.lang.String zipCode)` Sets the zipCode value for this AccountBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccountBean

    public AccountBean()

### AccountBean

    public AccountBean(java.util.Calendar creationDate,
                       FlexFieldBean[] flexValues,
                       long id,
                       java.util.Calendar lastUpdated,
                       java.lang.String status,
                       java.lang.String address,
                       java.lang.String city,
                       java.lang.String country,
                       java.lang.String description,
                       java.lang.String fax,
                       java.lang.String industry,
                       java.lang.String name,
                       long parentAccountId,
                       java.lang.String phone,
                       java.lang.String state,
                       java.lang.String type,
                       java.lang.String webSite,
                       java.lang.String zipCode)

Method Detail

### getAddress

    public java.lang.String getAddress()

  Gets the address value for this AccountBean.

  Returns:
    address

### setAddress

    public void setAddress(java.lang.String address)

  Sets the address value for this AccountBean.

  Parameters:
    `address` -

### getCity

    public java.lang.String getCity()

  Gets the city value for this AccountBean.

  Returns:
    city

### setCity

    public void setCity(java.lang.String city)

  Sets the city value for this AccountBean.

  Parameters:
    `city` -

### getCountry

    public java.lang.String getCountry()

  Gets the country value for this AccountBean.

  Returns:
    country

### setCountry

    public void setCountry(java.lang.String country)

  Sets the country value for this AccountBean.

  Parameters:
    `country` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this AccountBean.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this AccountBean.

  Parameters:
    `description` -

### getFax

    public java.lang.String getFax()

  Gets the fax value for this AccountBean.

  Returns:
    fax

### setFax

    public void setFax(java.lang.String fax)

  Sets the fax value for this AccountBean.

  Parameters:
    `fax` -

### getIndustry

    public java.lang.String getIndustry()

  Gets the industry value for this AccountBean.

  Returns:
    industry

### setIndustry

    public void setIndustry(java.lang.String industry)

  Sets the industry value for this AccountBean.

  Parameters:
    `industry` -

### getName

    public java.lang.String getName()

  Gets the name value for this AccountBean.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this AccountBean.

  Parameters:
    `name` -

### getParentAccountId

    public long getParentAccountId()

  Gets the parentAccountId value for this AccountBean.

  Returns:
    parentAccountId

### setParentAccountId

    public void setParentAccountId(long parentAccountId)

  Sets the parentAccountId value for this AccountBean.

  Parameters:
    `parentAccountId` -

### getPhone

    public java.lang.String getPhone()

  Gets the phone value for this AccountBean.

  Returns:
    phone

### setPhone

    public void setPhone(java.lang.String phone)

  Sets the phone value for this AccountBean.

  Parameters:
    `phone` -

### getState

    public java.lang.String getState()

  Gets the state value for this AccountBean.

  Returns:
    state

### setState

    public void setState(java.lang.String state)

  Sets the state value for this AccountBean.

  Parameters:
    `state` -

### getType

    public java.lang.String getType()

  Gets the type value for this AccountBean.

  Returns:
    type

### setType

    public void setType(java.lang.String type)

  Sets the type value for this AccountBean.

  Parameters:
    `type` -

### getWebSite

    public java.lang.String getWebSite()

  Gets the webSite value for this AccountBean.

  Returns:
    webSite

### setWebSite

    public void setWebSite(java.lang.String webSite)

  Sets the webSite value for this AccountBean.

  Parameters:
    `webSite` -

### getZipCode

    public java.lang.String getZipCode()

  Gets the zipCode value for this AccountBean.

  Returns:
    zipCode

### setZipCode

    public void setZipCode(java.lang.String zipCode)

  Sets the zipCode value for this AccountBean.

  Parameters:
    `zipCode` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD